Page MenuHomePhabricator

Loading mobile links on desktop does not redirect to desktop site
Closed, DuplicatePublic

Description

When loading a wikipedia link on mobile, you are automatically redirected to the mobile site. (For example, loading https://en.wikipedia.org/wiki/Chicken_tax on a mobile device takes you to https://en.m.wikipedia.org/wiki/Chicken_tax.)

However, when loading the mobile URL on desktop, the mobile website is loaded, rather than redirecting the desktop user to the desktop site.

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMay 22 2018, 9:29 PM
Aklapper changed the task status from Open to Stalled.May 25 2018, 6:07 PM

Hi @Zillionair1, thanks for taking the time to report this and welcome to Phabricator!

Could you please explain why is that wanted or expected? Also see https://mediawiki.org/wiki/How_to_report_a_bug
The mobile version is more reduced in functionality, due to limited screen size on mobile devices. That's not the case the other way round.

Viewing the mobile site on desktop is not desirable. The desktop site uses most of the screen, whereas the mobile site leaves plenty of empty space on both left and right sides of the screen and uses a larger font. There's not nearly as much text visible on the mobile site.

When I view wikipedia on desktop, I expect to use the desktop site. My screen can use the extra space, and it's easier to find what I'm looking for because I don't have to scroll as far.

Why do you load mobile URLs on desktop browsers in the first place? When exactly does that happen and why?

When mobile users post wikipedia links, it's to the mobile version of the site. This happens on reddit frequently, because a substantial proportion of users are on mobile devices.

Aklapper changed the task status from Stalled to Open.May 27 2018, 10:47 AM
pmiazga added subscribers: ovasileva, pmiazga.EditedMay 28 2018, 7:52 PM

@Zillionair1 Thanks for reporting the issue. This task looks like a duplicate, please check T60425.
@ovasileva as another person is reporting this issue, should we increase the priority?

Vvjjkkii renamed this task from Loading mobile links on desktop does not redirect to desktop site to ghcaaaaaaa.Jul 1 2018, 1:08 AM
Vvjjkkii reopened this task as Open.
Vvjjkkii triaged this task as High priority.
Vvjjkkii updated the task description. (Show Details)
Vvjjkkii removed a subscriber: Aklapper.
CommunityTechBot renamed this task from ghcaaaaaaa to Loading mobile links on desktop does not redirect to desktop site.Jul 2 2018, 3:57 PM
CommunityTechBot closed this task as a duplicate.
CommunityTechBot raised the priority of this task from High to Needs Triage.
CommunityTechBot updated the task description. (Show Details)
CommunityTechBot added a subscriber: Aklapper.